/***************************************************************************************************
 * Copyright (C) 2007 - 2010  : Rivello Multimedia Consulting
 * For more information email : presentations2010@RivelloMultimediaConsulting.com
 * For more information see   : http://www.RivelloMultimediaConsulting.com
 * 
 * This file and/or its constituents are licensed under the terms of the MIT license, 
 * which is included in the License.html file at the root directory of this SDK.
 ***************************************************************************************************/

//Marks the right margin of code *******************************************************************
package 
{
	//--------------------------------------
	//  Imports
	//--------------------------------------
	import flash.display.Sprite;
	import flash.events.Event;
	
	
	//--------------------------------------
	//  Class
	//--------------------------------------
	/**
	 * <p>CLASS   : CustomCompilerArgumentsDemo - Shows how to set custom compiler arguments
	 * within FlashBuilder and access them through as3. See Flash Builder's 
	 * Project->Properties->'ActionScript Compiler' (or similiar) panel for more info.</p>
	 * 
	 * <p>DATE    : Jun 09, 2011</p>
	 * <p>AUTHOR  : Samuel Asher Rivello</p>
	 * <p>CONTACT : info@RivelloMultimediaConsulting.com</p>
     *
	 */
	public class CustomCompilerArgumentsDemo extends Sprite
	{		
		
		//--------------------------------------
		//  Properties
		//--------------------------------------
		//PUBLIC GETTER/SETTERS
		
		//PUBLIC CONST
		
		//PRIVATE
		
		//--------------------------------------
		//  Constructor
		//--------------------------------------
		/**
		 * ...
		 * 
		 */
		public function CustomCompilerArgumentsDemo ()
		{
			//SUPER
			super (); 
			
			//VARIABLES
			
			//PROPERTIES
			
			//METHODS
			
			//EVENTS
			addEventListener(Event.ADDED_TO_STAGE, _onAddedToStage);
			
			
		}
		
		//--------------------------------------
		//  Methods
		//--------------------------------------		
		//PUBLIC	
		
		//PRIVATE	
		/**
		 * Show the compiler arguments that have been defined in settings 
		 * 
		 * NOTE: (see class comment above).
		 * 
		 */
		private function _showCustomCompilerArguments () : void 
		{
			trace ("FOO::bar  : " + FOO::bar);
			trace ("FOO2::bar2: " + FOO2::bar2);
			
		}
		
		
		//--------------------------------------
		//  Events
		//--------------------------------------		
		/**
		 * Handles the aEvent: <code>Event.ADDED_TO_STAGE</code>.
		 * 
		 * @param aEvent <code>Event</code> The incoming aEvent payload.
		 *  
		 * @return void
		 * 
		 */
		private function _onAddedToStage (aEvent : Event) : void 
		{				
			_showCustomCompilerArguments();
			
		}
		
		
	}
}